Bug 822928 - Review Request: erlang-basho_metrics - Fast performance metrics for Erlang
Review Request: erlang-basho_metrics - Fast performance metrics for Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 652629
  Show dependency treegraph
 
Reported: 2012-05-18 10:25 EDT by Peter Lemenkov
Modified: 2012-06-17 18:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 18:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-05-18 10:25:40 EDT
Spec URL: http://peter.fedorapeople.org/erlang-basho_metrics.spec
SRPM URL: http://peter.fedorapeople.org/erlang-basho_metrics-1.0.0-1.fc18.src.rpm
Description: An open source Erlang library for efficient calculation of service performance metrics.

This is one of the requirements for Riak.

rpmlint:
sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-basho_metrics-* ../SRPMS/erlang-basho_metrics-1.0.0-1.fc18.src.rpm
erlang-basho_metrics.ppc: E: explicit-lib-dependency erlang-stdlib

^^^ false positive triggered by "stdlib" word

erlang-basho_metrics-debuginfo.ppc: W: spelling-error Summary(en_US) basho -> Basho, bash, basso
erlang-basho_metrics-debuginfo.ppc: W: spelling-error %description -l en_US basho -> Basho, bash, basso

^^^ false positives

erlang-basho_metrics.src: W: invalid-url Source0: basho-basho_metrics-1.0.0-0-g4ed4c0e.tar.gz

^^^ blame github for that!

3 packages and 0 specfiles checked; 1 errors, 3 warnings.
sulaco ~/rpmbuild/SPECS: 

Koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4086577
Comment 1 Michel Alexandre Salim 2012-06-07 04:07:37 EDT
Taking this review
Comment 2 Michel Alexandre Salim 2012-06-07 04:26:49 EDT
Several issues:
- Boost headers appear to be bundled; try and build against the system Boost instead
- defattr
- source URL (in the form of "wget --content-disposition ..." comment) missing



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package contains no bundled libraries.
     Note: Seems to bundle Boost headers
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Could not retrieve sources. Please check the source files for
     licenses manually.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX is a working URL.
     Note: need to provide the "wget --content-disposition ..." URL as
     comment
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package contains no bundled libraries.
     Note: Seems to bundle Boost headers
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Could not retrieve sources. Please check the source files for
     licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: SHOULD SourceX is a working URL.
     Note: need to provide the "wget --content-disposition ..." URL as
     comment


Generated by fedora-review 0.2.0git
External plugins:
Comment 3 Peter Lemenkov 2012-06-07 05:05:45 EDT
(In reply to comment #2)
> Several issues:
> - Boost headers appear to be bundled; try and build against the system Boost
> instead
> - defattr
> - source URL (in the form of "wget --content-disposition ..." comment)
> missing

Thanks! Updatd package (built against system-wide boost-devel):

* http://peter.fedorapeople.org/erlang-basho_metrics.spec
* http://peter.fedorapeople.org/erlang-basho_metrics-1.0.0-2.fc18.src.rpm

Koji scratchbuild for F-18:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4135440
Comment 4 Michel Alexandre Salim 2012-06-09 08:46:21 EDT
Thanks! Everything looks good -- APPROVED
Comment 5 Peter Lemenkov 2012-06-09 08:52:17 EDT
(In reply to comment #4)
> Thanks! Everything looks good -- APPROVED


Thanks for the review!

New Package SCM Request
=======================
Package Name: erlang-basho_metrics
Short Description: Fast performance metrics for Erlang
Owners: peter
Branches: f16 f17 el6
InitialCC:
Comment 6 Jon Ciesla 2012-06-09 13:23:06 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-06-09 15:05:37 EDT
erlang-basho_metrics-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-basho_metrics-1.0.0-2.fc17
Comment 8 Fedora Update System 2012-06-09 15:05:46 EDT
erlang-basho_metrics-1.0.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-basho_metrics-1.0.0-2.fc16
Comment 9 Fedora Update System 2012-06-09 21:26:19 EDT
erlang-basho_metrics-1.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-17 18:27:10 EDT
erlang-basho_metrics-1.0.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-06-17 18:27:40 EDT
erlang-basho_metrics-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.